# Copyright (c) 2000-2007, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%define section free

Summary:        EJB3 persistence API
Name:           hibernate3-ejb-persistence-3.0-api
Version:        3.2.1
Release:        1.ep1.1%{?dist}
Epoch:          0
License:        LGPL
URL:            http://www.hibernate.org/
Group:          Database
# svn export http://anonhibernate.labs.jboss.com/trunk/HibernateExt/ejb-api/
# mv HibernateExt/ejb-api hibernate3-ejb-persistence-3.0-api
# tar czf hibernate3-ejb-persistence-3.0-api-3.2.1.GA.tar.gz hibernate3-ejb-persistence-3.0-api
Source0: 	hibernate3-ejb-persistence-3.0-api-3.2.1.GA.tar.gz
Source1: 	hibernate3-ext-lgpl.txt

BuildRequires:  jpackage-utils >= 0:1.6
BuildRequires:  java-devel >= 0:1.5
BuildRequires:  ant
Requires:  java >= 0:1.5
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
JSR-220 EJB 3.0 (persistence) API

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description javadoc
%{summary}.

%prep
%setup -q -n %{name}
# remove all binary libs
for j in $(find . -name "*.jar"); do
	mv $j $j.no
done


%build
ant \
	jar javadoc 

%install
rm -rf $RPM_BUILD_ROOT

# jars
mkdir -p $RPM_BUILD_ROOT%{_javadir}

cp -p build/ejb3-persistence.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}.jar; do ln -sf ${jar} `echo $jar| sed "s|-%{version}\.jar|.jar|g"`; done)

## javadoc
mkdir -p $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr build/api/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink

mkdir -p $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
cp -p etc/license.txt $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/spec_license.txt
cp %{SOURCE1} $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/lgpl.txt

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ "$1" = "0" ]; then
  rm -f %{_javadocdir}/%{name}
fi

%files
%defattr(0644,root,root,0755)
%doc %{_docdir}/%{name}-%{version}/spec_license.txt
%doc %{_docdir}/%{name}-%{version}/lgpl.txt
%{_javadir}/*.jar

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}


%changelog
* Fri Aug 10 2007 Fernando Nasser <fnasser@redhat.com> - 0:3.2.1-1jpp.ep1.1
- Fix release tag

* Thu Aug 09 2007 Fernando Nasser <fnasser@redhat.com> - 0:3.2.1-1jpp.ep.1
- Merge with upstream

* Thu Aug 09 2007 Fernando Nasser <fnasser@redhat.com> - 0:3.2.1-1jpp
- Upgrade to 3.2.1.GA

* Mon Jul 10 2006 Fernando Nasser <fnasser@redhat.com> - 0:3.0-2jpp_1rh
- First Red Hat build

* Thu Jun 22 2006 Ralph Apel <r.apel at r-apel.de> - 0:3.0-2jpp
- Fix versionless symlink

* Wed Jun 21 2006 Ralph Apel <r.apel at r-apel.de> - 0:3.0-1jpp
- First JPP-5.0 release

